package com.zanxiang.game.module.base.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2023-07-06
 * @description : 壳包控制类型枚举
 */
@Getter
@AllArgsConstructor
public enum ShellControlEnum {

    /**
     * 关闭
     */
    SHELL_CONTROL_CLOSE(0, "关闭"),

    /**
     * 开启
     */
    SHELL_CONTROL_OPEN(1, "开启"),

    /**
     * 新用户开启, 老用户关闭
     */
    SHELL_CONTROL_NEW_USER_OPEN(2, "新用户开启, 老用户关闭"),

    /**
     * 角色等级控制开启
     */
    SHELL_CONTROL_LOW_LEVEL_OPEN(3, "角色等级控制开启"),

    /**
     * 省份屏蔽
     */
    SHELL_CONTROL_PROV_OPEN(4, "省份屏蔽");

    /**
     * 壳包控制类型
     */
    private final Integer shellControl;

    /**
     * 描述
     */
    private final String name;
}
